> ## Documentation Index
> Fetch the complete documentation index at: https://docs.affelios.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists testimonial items.



## OpenAPI

````yaml https://platform.affelios.com/swagger/v1/swagger.json get /api/v1/testimonial/list/{operatorId}
openapi: 3.0.4
info:
  title: Affelios Platform API
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /api/v1/testimonial/list/{operatorId}:
    get:
      tags:
        - Testimonial
      summary: Lists testimonial items.
      operationId: TestimonialListGet
      parameters:
        - name: operatorId
          in: path
          description: The unique identifier of the operator.
          required: true
          schema:
            type: string
        - name: X-Api-Key
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Testimonial'
components:
  schemas:
    Testimonial:
      required:
        - text
        - url
        - website
      type: object
      properties:
        id:
          type: string
          nullable: true
        operatorId:
          type: string
          nullable: true
        updatedTs:
          type: string
          format: date-time
        createdTs:
          type: string
          format: date-time
          nullable: true
        isIdEmpty:
          type: boolean
          readOnly: true
        createdBy:
          type: string
          nullable: true
        hidden:
          type: boolean
        deleted:
          type: boolean
        affiliateId:
          type: string
          nullable: true
        affiliateName:
          type: string
          nullable: true
        image:
          allOf:
            - $ref: '#/components/schemas/ImageItem'
          format: uri
          nullable: true
        text:
          minLength: 1
          type: string
        website:
          minLength: 1
          type: string
        url:
          minLength: 1
          type: string
          format: uri
        approved:
          type: boolean
          nullable: true
        enabled:
          type: boolean
          nullable: true
      additionalProperties: false
    ImageItem:
      type: object
      properties:
        id:
          type: string
          nullable: true
        operatorId:
          type: string
          nullable: true
        updatedTs:
          type: string
          format: date-time
        createdTs:
          type: string
          format: date-time
          nullable: true
        isIdEmpty:
          type: boolean
          readOnly: true
        createdBy:
          type: string
          nullable: true
        hidden:
          type: boolean
        deleted:
          type: boolean
        url:
          type: string
          nullable: true
        cdnUrl:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        height:
          type: integer
          format: int32
        width:
          type: integer
          format: int32
        alt:
          type: string
          nullable: true
        size:
          type: integer
          format: int64
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````